' 
' Program Title: Flimmer-o-Meter fr DOS
'     Copyright: Public Domain
'        Author: Mad/OS
' Last Modified: 16. Februar 1999
' 
'   Description: Das Programm misst die vertikale Bildfrequenz in Hertz.
'                Das betrifft aber normalerweise nur den Textmodus.
' 

$CPU 80386
$OPTIMIZE SIZE
$COMPILE EXE "flimmer.exe"
$DEBUG MAP OFF
$DEBUG PBDEBUG OFF
$LIB ALL OFF
$ERROR ALL OFF
$FLOAT NPX
$COM 0
$STRING 1
$STACK 1536
$SOUND 1
$OPTION CNTLBREAK OFF
$EVENT OFF
DEFINT A-Z

color 10,0: ?"FLIMMER-O-METER fr DOS. Bitte warten, die Messung luft..."
mtimer
for i=1 to 100
  do: loop until (inp(&h3da) and 8)
  do: loop while (inp(&h3da) and 8)
next
a&=mtimer: b=fix(100000000/a&+.5): color 15
?"Ihr Monitor arbeitet mit einer vertikalen Bildfrequenz von";b;"Hertz."
color 7
if b<60 then
  ?"Das ist ziemlich mies und nicht augenfreundlich."
elseif b>59 and b<70 then
  ?"Das ist gerade noch vertretbar, mehr wre aber besser."
elseif b>69 and b<90 then
  ?"Das ist gut, empfohlen werden 75 Hertz."
else
  ?"Das ist super!"
end if
color 8: ?"Ein kleiner Service von Mad/OS...": color 7